Skip to content

Get Large Lakes items

lakes of the world, public domain

Operation ID: getLakesFeatures
Authorization: None

Query parameters

f string
The optional f parameter indicates the output format which the server shall provide as part of the response document. The default format is GeoJSON. Allowed values: `json`, `html`, `jsonld`, `csv`. Default: `json`.
lang string
The optional lang parameter instructs the server return a response in a certain language, if supported. If the language is not among the available values, the Accept-Language header language will be used if it is supported. If the header is missing, the default server language is used. Note that providers may only support a single language (or often no language at all), that can be different from the server language. Language strings can be written in a complex (e.g. "fr-CA,fr;q=0.9,en-US;q=0.8,en;q=0.7"), simple (e.g. "de") or locale-like (e.g. "de-CH" or "fr_BE") fashion. Allowed values: `en-US`, `fr-CA`. Default: `en-US`.
bbox array of number
Only features that have a geometry that intersects the bounding box are selected.The bounding box is provided as four or six numbers, depending on whether the coordinate reference system includes a vertical axis (height or depth).
limit integer
The optional limit parameter limits the number of items that are presented in the response document (maximum=50, default=20). Default: `20`. Minimum: `1`. Maximum: `50`.
crs string · uri
Indicates the coordinate reference system for the results.
bbox-crs string · uri
Indicates the coordinate reference system for the given bbox coordinates.
properties array of string
The properties that should be included. The parameter value is a comma-separated list of property names.
vendorSpecificParameters object of any
Additional "free-form" parameters that are not explicitly defined
skipGeometry boolean
This option can be used to skip response geometries for each feature. Default: `False`.
sortby array of string
Specifies a comma-separated list of property names by which the response shall be sorted. If the property name is preceded by a plus (+) sign it indicates an ascending sort for that property. If the property name is preceded by a minus (-) sign it indicates a descending sort for that property. If the property is not preceded by a plus or minus, then the default sort order implied is ascending (+).
offset integer
The optional offset parameter indicates the index within the result set from which the server shall begin presenting results in the response document. The first element has an index of 0 (default). Default: `0`. Minimum: `0`.
id integer
—
scalerank integer
—
name string
—
name_alt string
—
admin string
—
featureclass string
—

Responses

The response is a document consisting of features in the collection. The features included in the response are determined by the server based on the query parameters of the request. To support access to larger collections without overloading the client, the API supports paged access with links to the next page, if more features are selected that the page size.

The bbox and datetime parameter can be used to select only a subset of the features in the collection (the features that are in the bounding box or time interval). The bbox parameter matches all features in the collection that are not associated with a location, too. The datetime parameter matches all features in the collection that are not associated with a time stamp or interval, too.

The limit parameter may be used to control the subset of the selected features that should be returned in the response, the page size. Each page may include information about the number of selected and returned features (numberMatched and numberReturned) as well as links to support paging (link relation next).

Content type: application/geo+json

Schema: ogcapi-features-1__featureCollectionGeoJSON

Properties

Property Type Required Description
type string Yes Allowed values: FeatureCollection.
features array of ogcapi-features-1__featureGeoJSON Yes —
links array of ogcapi-features-1__link No —
timeStamp ogcapi-features-1__timeStamp No —
numberMatched ogcapi-features-1__numberMatched No —
numberReturned ogcapi-features-1__numberReturned No —

Example

{
  "type": "FeatureCollection",
  "links": [
    {
      "href": "http://data.example.com/collections/buildings/items.json",
      "rel": "self",
      "type": "application/geo+json",
      "title": "this document"
    },
    {
      "href": "http://data.example.com/collections/buildings/items.html",
      "rel": "alternate",
      "type": "text/html",
      "title": "this document as HTML"
    },
    {
      "href": "http://data.example.com/collections/buildings/items.json&offset=10&limit=2",
      "rel": "next",
      "type": "application/geo+json",
      "title": "next page"
    }
  ],
  "timeStamp": "2018-04-03T14:52:23Z",
  "numberMatched": 123,
  "numberReturned": 2,
  "features": [
    {
      "type": "Feature",
      "id": "123",
      "geometry": {
        "type": "Polygon",
        "coordinates": [
          "..."
        ]
      },
      "properties": {
        "function": "residential",
        "floors": "2",
        "lastUpdate": "2015-08-01T12:34:56Z"
      }
    },
    {
      "type": "Feature",
      "id": "132",
      "geometry": {
        "type": "Polygon",
        "coordinates": [
          "..."
        ]
      },
      "properties": {
        "function": "public use",
        "floors": "10",
        "lastUpdate": "2013-12-03T10:15:37Z"
      }
    }
  ]
}

Content type: text/html

Schema: string

Example

string

A query parameter has an invalid value.

Content type: application/json

Schema: ogcapi-features-1__exception

Properties

Property Type Required Description
code string Yes —
description string No —

Example

{
  "code": "string",
  "description": "string"
}

Content type: text/html

Schema: string

Example

string

The requested resource does not exist on the server. For example, a path parameter had an incorrect value.

A server error occurred.

Content type: application/json

Schema: ogcapi-features-1__exception

Properties

Property Type Required Description
code string Yes —
description string No —

Example

{
  "code": "string",
  "description": "string"
}

Content type: text/html

Schema: string

Example

string